cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PAC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PAC

- All Implemented Interfaces:
    ISegment

      public class PAC
      extends Segment

  PAC - Shipment Package Segment .

  The intent of this segment is to describe the information associated with the shipping package specimens are sent in.

  Represents an HL7 PAC message segment. This segment has the following fields:

  PAC-1: Set ID - PAC (SI)Required
  PAC-2: Package ID (EI)Conditional
  PAC-3: Parent Package ID (EI)Optional
  PAC-4: Position In Parent Package (NA)Optional
  PAC-5: Package Type (CWE)Required
  PAC-6: Package Condition (CWE)Optional
  PAC-7: Package Handling Code (CWE)Optional
  PAC-8: Package Risk Code (CWE)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PAC()` Constructs the PAC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPackageCondition(CWE objPackageCondition)` Set the Package Condition.
    `void` | `addPackageCondition(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Package Condition.
    `void` | `addPackageHandlingCode(CWE objPackageHandlingCode)` Set the Package Handling Code.
    `void` | `addPackageHandlingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Package Handling Code.
    `void` | `addPackageRiskCode(CWE objPackageRiskCode)` Set the Package Risk Code.
    `void` | `addPackageRiskCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Package Risk Code.
    `ISingleCollection<CWE>` | `getPackageCondition()` Retrieves the Package Condition.
    `ISingleCollection<CWE>` | `getPackageHandlingCode()` Retrieves the Package Handling Code.
    `EI` | `getPackageID()` Retrieves the Package ID.
    `ISingleCollection<CWE>` | `getPackageRiskCode()` Retrieves the Package Risk Code.
    `CWE` | `getPackageType()` Retrieves the Package Type.
    `EI` | `getParentPackageID()` Retrieves the Parent Package ID.
    `NA` | `getPositionInParentPackage()` Retrieves the Position in Parent Package.
    `SI` | `getSetID_PAC()` Retrieves the Set ID - PAC.
    `void` | `setPackageCondition(ISingleCollection<CWE> objPackageConditionList)` Set the Package Condition.
    `void` | `setPackageHandlingCode(ISingleCollection<CWE> objPackageHandlingCodeList)` Set the Package Handling Code.
    `void` | `setPackageID(EI objPackageID)` Set the Package ID.
    `void` | `setPackageID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Package ID.
    `void` | `setPackageRiskCode(ISingleCollection<CWE> objPackageRiskCodeList)` Set the Package Risk Code.
    `void` | `setPackageType(CWE objPackageType)` Set the Package Type.
    `void` | `setPackageType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Package Type.
    `void` | `setParentPackageID(EI objParentPackageID)` Set the Parent Package ID.
    `void` | `setParentPackageID(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Package ID.
    `void` | `setPositionInParentPackage(NA objPositionInParentPackage)` Set the Position in Parent Package.
    `void` | `setPositionInParentPackage(NM objValue1, NM objValue2, NM objValue3, NM objValue4)` Set the Parent Package ID.
    `void` | `setSetID_PAC(SI objsetID_PAC)` Set the Set ID PAC.
    `void` | `setSetID_PAC(java.lang.String strSetID_PAC)` Set the Set ID PAC.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PAC

          public PAC()

      Constructs the PAC segment.

  - ### Method Detail

    - #### getSetID_PAC

          public SI getSetID_PAC()

      Retrieves the Set ID - PAC. This field is used to identify PAC segment instances in message structures where the PAC segment repeats.
      Returns:
        SI - SetID_PAC

    - #### getPackageID

          public EI getPackageID()

      Retrieves the Package ID. This is the identifier to identify this package from all other packages within its shipment.
      Returns:
        EI - PackageID

    - #### getParentPackageID

          public EI getParentPackageID()

      Retrieves the Parent Package ID. This is the identifier which identifies the package which contains this package.
      Returns:
        EI - ParentPackageID

    - #### getPositionInParentPackage

          public NA getPositionInParentPackage()

      Retrieves the Position in Parent Package. This is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Returns:
        NA - PositionInParentPackage

    - #### getPackageType

          public CWE getPackageType()

      Retrieves the Package Type. This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
      Returns:
        CWE - PackageType

    - #### getPackageCondition

          public ISingleCollection<CWE> getPackageCondition()

      Retrieves the Package Condition. This field describes the condition of the package at the time of the message.
      Returns:
        ISingleCollection - PackageCondition

    - #### getPackageHandlingCode

          public ISingleCollection<CWE> getPackageHandlingCode()

      Retrieves the Package Handling Code. This field describes how this package needs to be handled during transport.
      Returns:
        ISingleCollection - PackageHandlingCode

    - #### getPackageRiskCode

          public ISingleCollection<CWE> getPackageRiskCode()

      Retrieves the Package Risk Code. This field contains any known or suspected hazards associated with this package.
      Returns:
        ISingleCollection - PackageRiskCode

    - #### setSetID_PAC

          public void setSetID_PAC(java.lang.String strSetID_PAC)

      Set the Set ID PAC.
      Parameters:
        `strSetID_PAC` - Specifies setID_PAC.

    - #### setSetID_PAC

          public void setSetID_PAC(SI objsetID_PAC)

      Set the Set ID PAC.
      Parameters:
        `objsetID_PAC` - Object of Set ID PAC.

    - #### setPackageID

          public void setPackageID(java.lang.String strEntityIdentifier,
                          java.lang.String strNamespaceId,
                          java.lang.String strUniversalId,
                          java.lang.String strUniversalIdType)

      Set the Package ID. This is the identifier to identify this package from all other packages within its shipment.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setPackageID

          public void setPackageID(EI objPackageID)

      Set the Package ID. This is the identifier to identify this package from all other packages within its shipment.
      Parameters:
        `objPackageID` - Object of Package instance ID.

    - #### setParentPackageID

          public void setParentPackageID(java.lang.String strEntityIdentifier,
                                java.lang.String strNamespaceId,
                                java.lang.String strUniversalId,
                                java.lang.String strUniversalIdType)

      Set the Parent Package ID. This is the identifier which identifies the package which contains this package.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setParentPackageID

          public void setParentPackageID(EI objParentPackageID)

      Set the Parent Package ID. This is the identifier which identifies the package which contains this package.
      Parameters:
        `objParentPackageID` - Object of Parent Package instance ID.

    - #### setPositionInParentPackage

          public void setPositionInParentPackage(NM objValue1,
                                        NM objValue2,
                                        NM objValue3,
                                        NM objValue4)

      Set the Parent Package ID. This is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Parameters:
        `objValue1` - Specifies a numeric value
        `objValue2` - Specifies a numeric value
        `objValue3` - Specifies a numeric value
        `objValue4` - Specifies a numeric value

    - #### setPositionInParentPackage

          public void setPositionInParentPackage(NA objPositionInParentPackage)

      Set the Position in Parent Package. This is the identifier assigned by the shipment transportation provider that uniquely identifies this shipment from all other shipments by the same provider.
      Parameters:
        `objPositionInParentPackage` - Object of Position in Parent Package.

    - #### setPackageType

          public void setPackageType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Package Type. This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPackageType

          public void setPackageType(CWE objPackageType)

      Set the Package Type. This is the shipment status which specifies where in the shipment process the package is at the time of messaging.
      Parameters:
        `objPackageType` - Object of Package Type.

    - #### addPackageCondition

          public void addPackageCondition(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Package Condition. This field describes the condition of the package at the time of the message.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPackageCondition

          public void addPackageCondition(CWE objPackageCondition)

      Set the Package Condition. This field describes the condition of the package at the time of the message.
      Parameters:
        `objPackageCondition` - Specifies the Package Condition

    - #### setPackageCondition

          public void setPackageCondition(ISingleCollection<CWE> objPackageConditionList)

      Set the Package Condition. This field describes the condition of the package at the time of the message.
      Parameters:
        `objPackageConditionList` - List of Package Condition

    - #### addPackageHandlingCode

          public void addPackageHandlingCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Package Handling Code. This field describes how this package needs to be handled during transport.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPackageHandlingCode

          public void addPackageHandlingCode(CWE objPackageHandlingCode)

      Set the Package Handling Code. This field describes how this package needs to be handled during transport.
      Parameters:
        `objPackageHandlingCode` - Specifies the Package Handling Code

    - #### setPackageHandlingCode

          public void setPackageHandlingCode(ISingleCollection<CWE> objPackageHandlingCodeList)

      Set the Package Handling Code. This field describes how this package needs to be handled during transport.
      Parameters:
        `objPackageHandlingCodeList` - List of Package Handling Codes

    - #### addPackageRiskCode

          public void addPackageRiskCode(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Package Risk Code. This field describes how this package needs to be handled during transport.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPackageRiskCode

          public void addPackageRiskCode(CWE objPackageRiskCode)

      Set the Package Risk Code. This field describes how this package needs to be handled during transport.
      Parameters:
        `objPackageRiskCode` - Specifies the Package Risk Code

    - #### setPackageRiskCode

          public void setPackageRiskCode(ISingleCollection<CWE> objPackageRiskCodeList)

      Set the Package Risk Code. This field describes how this package needs to be handled during transport.
      Parameters:
        `objPackageRiskCodeList` - List of Package Risk Codes